package bus.service;

import bus.model.dto.BUserPreDto;
import bus.model.dto.BUserPrePageDto;
import bus.model.vo.BUserPreVo;
import bus.model.po.BUserPrePo;
import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-17 23:24:43
 **/
public interface BUserPreService {


    /**
     * 详情
     * @param id
     * @return
     */
    BUserPrePo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BUserPreDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BUserPreVo> list(BUserPrePageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BUserPreDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);
}
